Bug 227946 - Review Request: stgit - StGIT provides similar functionality to Quilt on top of GIT
Review Request: stgit - StGIT provides similar functionality to Quilt on top ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Package Reviews List
: Reopened
: 235211 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-02-08 19:39 EST by James Bowes
Modified: 2014-11-05 06:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-23 08:09:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description James Bowes 2007-02-08 19:39:24 EST
Spec URL: http://jbowes.dangerouslyinc.com/tmp/stgit.spec
SRPM URL: http://jbowes.dangerouslyinc.com/tmp/stgit-0.12-1.src.rpm
StGIT is a Python application providing similar functionality to Quilt
(i.e. pushing/popping patches to/from a stack) on top of GIT. These
operations are performed using GIT commands and the patches are stored
as GIT commit objects, allowing easy merging of the StGIT patches into
other repositories using standard GIT functionality.

Note that StGIT is not an SCM interface on top of GIT and it expects a
previously initialised GIT repository (unless it is cloned using StGIT
directly). For standard SCM operations, either use plain GIT commands
or the Cogito tool but it is not recommended to mix them with the
StGIT commands.
Comment 1 James Bowes 2007-02-08 19:48:50 EST
rpmlint output:

[jbowes@localhost code]$ rpmlint /home/jbowes/rpmbuild/SRPMS/stgit-0.12-1.src.rpm 
[jbowes@localhost code]$ rpmlint
E: stgit script-without-shebang /usr/share/stgit/contrib/stgbashprompt.sh

stgbashpromt.sh is a contributed file that is meant to be sourced, so the
missing shebang shouldn't be a problem. Though maybe it should not be installed
as executable?
Comment 2 Mamoru TASAKA 2007-04-04 11:52:41 EDT
*** Bug 235211 has been marked as a duplicate of this bug. ***
Comment 3 Mamoru TASAKA 2007-04-08 01:38:06 EDT
I will review this.
Comment 4 Mamoru TASAKA 2007-04-08 03:28:46 EDT
Well, for 0.12-1.fc7:

* executable permission vs shebang
stgbashpromt.sh is a contributed file that is meant to be sourced, so the
missing shebang shouldn't be a problem.
  - Your explanation means that this shell script should not have
    executable permission.

* Source0
  - It seems 0.12.1 is released so please update.

I will recheck this when you update source tarball to the
Comment 5 Mamoru TASAKA 2007-04-15 02:11:53 EDT
Comment 6 James Bowes 2007-04-19 19:34:04 EDT
Updated files:

Spec URL: http://jbowes.dangerouslyinc.com/tmp/stgit.spec
SRPM URL: http://jbowes.dangerouslyinc.com/tmp/stgit-0.12.1-1.src.rpm

Sorry for the delay. I've updated to the new version, and chmod -x'd the shell
script after install.
Comment 7 Mamoru TASAKA 2007-04-20 03:42:48 EDT
Well, for 0.12.1-1:

* Macros
  - Please use proper macros (especially for the directory
    starting from /usr... /usr/share should be %{_datadir} )

Other things are okay.
    This package (stgit) is APPROVED by me.
Comment 8 Mamoru TASAKA 2007-04-25 12:38:13 EDT
Comment 9 James Bowes 2007-04-25 13:18:01 EDT
I'm doing terrible with this review :) Thanks for the prodding.
I'll fix up the macros when I import to CVS
Comment 10 James Bowes 2007-04-25 13:19:20 EDT
New Package CVS Request
Package Name: stgit
Short Description: StGIT provides similar functionality to Quilt on top of GIT
Owners: jbowes@redhat.com
Branches: FC-6
Comment 11 James Bowes 2007-04-25 14:06:16 EDT
Package Change Request
Package Name: stgit
Updated Fedora Owners: jbowes@redhat.com, williams@redhat.com
Comment 12 James Bowes 2008-04-15 08:22:11 EDT
Package Change Request
Package Name: stgit
New Branches: EL-5
Comment 13 Kevin Fenzi 2008-04-16 11:57:11 EDT
cvs done.
Comment 14 Peter Schiffer 2012-10-19 10:48:24 EDT

I am requesting re-review of this package because it has been orphaned since Fedora 17 and I would like to maintain it. Reason for orphaning this package was lack of maintainer:

spec: https://dl.dropbox.com/u/15321270/stgit.spec
srpm: https://dl.dropbox.com/u/15321270/stgit-0.16-1.fc19.src.rpm


Comment 15 Jiri Popelka 2012-10-22 07:16:00 EDT
Package Review

[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated

[!]: Package contains BR: python2-devel or python3-devel
You need to BuildRequire python2-devel instead of python, see:

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro (instead of hard-coded directory
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package do not use a name that already exist
     Note: this is OK as it's re-review
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
     Note: owning /etc/bash_completion.d/ is OK
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: You can poke upstream to fix the wrong FSF in source files, but it's
     not a blocker.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

[!]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
[-]: Spec use %global instead of %define.
Comment 16 Peter Schiffer 2012-10-22 08:08:07 EDT
fixed BR:

spec: https://dl.dropbox.com/u/15321270/stgit.spec
srpm: https://dl.dropbox.com/u/15321270/stgit-0.16-1.fc19.src.rpm

spec file diff:

--- stgit.spec.orig	2012-10-22 13:58:14.000000000 +0200
+++ stgit.spec	2012-10-22 13:35:47.308716790 +0200
@@ -8,8 +8,8 @@
 Source: http://download.gna.org/%{name}/%{name}-%{version}.tar.gz
 BuildArch: noarch
-BuildRequires: git-core, python, asciidoc, xmlto
-Requires: git-core, python
+BuildRequires: git-core, python2-devel, asciidoc, xmlto
+Requires: git-core, python2
 StGit is a Python application providing similar functionality
@@ -24,12 +24,11 @@
 %setup -q
-chmod -x ChangeLog
 chmod -x contrib/stgbashprompt.sh
 chmod -x stgit-completion.bash
-make prefix=%{_prefix} all doc %{?_smp_mflags}
+make all doc prefix=%{_prefix} %{?_smp_mflags}
 make install install-doc DESTDIR=$RPM_BUILD_ROOT prefix=%{_prefix}
@@ -48,7 +47,7 @@
-* Fri Oct 19 2012 Peter Schiffer <pschiffe@redhat.com> - 0.16-1
+* Mon Oct 22 2012 Peter Schiffer <pschiffe@redhat.com> - 0.16-1
 - updated to 0.16
 * Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14.3-8
Comment 17 Jiri Popelka 2012-10-22 08:33:37 EDT
Next time also increase the release number, even if it's during the review.
But everything seems OK now, so this package is (re-)APPROVED.
Comment 18 Peter Schiffer 2012-10-22 09:12:23 EDT
Package Change Request
Package Name: stgit
New Branches: f17 f18
Owners: pschiffe
Comment 19 Jon Ciesla 2012-10-22 10:02:44 EDT
Git done (by process-git-requests).
Comment 20 Peter Schiffer 2012-10-22 10:34:22 EDT
Package Change Request
Package Name: stgit
New Branches: devel
Owners: pschiffe

I am sorry, I forget on devel branch.
Comment 21 Jon Ciesla 2012-10-22 10:39:04 EDT
Already exists, unretired.
Comment 23 Peter Schiffer 2014-11-04 10:43:47 EST
Package Change Request
Package Name: stgit
New Branches: epel7
Owners: pschiffe

Requesting epel7 branch for stgit package, el5 and el6 branches exist.


Comment 24 Jon Ciesla 2014-11-05 06:36:11 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.